{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title %} Products {% endblock %}

{% block extra_style_block %}
    {{block.super}}

    <link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">
    <style>
        .placeOrder{
            padding: 12px 35px;
            border-radius: 4px;
            color: #fff;
        }
        .placeOrder:hover{
            color: #fff;
        }
        .min-error {
            margin: 0 auto 0 1%;
            font-size: 16px;
            padding: 6px 12px;
            background: yellow;
            color: #000;
            border-radius: 4px;
            border: 1px solid #d4d41d;
            float: left;
            max-width: 70%;
        }
        b.no-record {
            line-height: 1.2;
            font-size: 16px;
            float: right;
            margin: 3px 0 0;
            color: #067d06;
        }
        #ddlSelect_1 {
            margin-left: 0;
        }
    </style>
{% endblock %}

{% block content %}

    <form method="POST" >
        {% csrf_token %}

        <!-- Content Header (Page header) -->
        <section class="content-header col-content" style="position: static;top: 0px;left: 0px;width: 100%;margin-top: -3%;">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12 col-customer">
                    <div class="row">
                        <div class="col-xs-12 col-sm-12 col-md-12" id="thirddiv">
                            <select class="categery-select ddl" name="third" id="ddlSelect_1">
                                <option value="">Please Select Category</option>
                                {% for obj in one %}
                                <option {% if obj.name == varOne %}selected{% endif %} value="{{obj.name}}">{{obj.name}}</option>
                                {% endfor %}
                            </select>

                            <select class="categery-select ddl" name="four" id="ddlSelect_2">
                                <option value="">All</option>
                                {% for obj in two %}
                                    <option {% if obj.name == varTwo %}selected{% endif %} value="{{obj.name}}">{{obj.name}}</option>
                                {% endfor %}
                            </select>

                            <select class="categery-select ddl" name="five" id="ddlSelect_3">
                                <option value="">All</option>
                                {% for obj in three %}
                                <option {% if obj.name == varThree %}selected{% endif %} value="{{obj.name}}">{{obj.name}}</option>
                                {% endfor %}
                            </select>

                            <button type="submit" name="search" class="filter-btn">Search</button>
                        </div>

                        <div class="col-xs-12 col-sm-12 col-md-12 product-heding" style="margin-top: 2%;">
                            <h2 style="float: left;margin-top: 0;">Products111: </h2>
                            {% if msg %}
                                <div class="min-error">
                                    <i class="fa fa-warning" style="color: red;"></i> &nbsp; {{msg}}
                                </div>
                            {% else %}
                                {% if search_record %}
                                    <b class="no-record">{{total_search_record}}</b>
                                {% else %}
                                    <b class="no-record">{{total_search_record}}</b>
                                {% endif %}
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </section>
   
        <!-- Main content -->
        <section class="content">
            <input type="hidden" name="firstobj" id="firstobj" value="{{varfirst}}">
            <input type="hidden" name="secondobj" id="secondobj" value="{{varsecond}}">
            <input type="hidden" name="thirdobj" id="thirdobj" value="{{varthird}}">
            <input type="hidden" name="fourobj" id="fourobj" value="{{varfour}}">
            <input type="hidden" name="fiveobj" id="fiveobj" value="{{varfive}}">

            <div class="order-content-wrapper">
                {% autoescape off %}
                    {{htmlformat}}
                {% endautoescape %}

                <!--<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>-->
                <!--<script type="text/javascript" src="{% static 'js/jquery.toast.js' %}"></script>-->
                <!--<script src="{% static 'js/product_list.js' %}"></script>-->

                {% if listdata %}
                    <a class="place-order placeOrder" href="{% url 'customerorderdetail' %}">Place Order</a>
                {% endif %}
            </div>
        </section><!-- /.content -->
    </form>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script src="{% static 'js/product_list.js' %}"></script>
    <!--<script>-->
        <!--$(document).ready(function(){-->

            <!--$('[id^="ddlSelect_"]').change(function(){-->

                <!--var index = this.id.split('_')[1];-->
                <!--var value = $(this).val();-->

                <!--if(index == '2' && value == ''){-->
                    <!--index = '1';-->
                    <!--value = $('#ddlSelect_1').val();-->
                <!--}-->
                <!--else if(index == '3' && value == ''){-->
                    <!--index = '2';-->
                    <!--value = $('#ddlSelect_2').val();-->
                <!--}-->
                <!--else if(index == '3' && value != ''){-->
                    <!--index = '3'-->
                <!--}-->

                <!--$.ajax({-->
                    <!--type:'get',-->
                    <!--url:'/user/product_category?index='+index+'&value='+value,-->
                    <!--success: function(res){-->
                        <!--if(index == '1'){-->
                            <!--var optionlist1 = "<option value=''>All</option>";-->
                            <!--var optionlist2 = "<option value=''>All</option>";-->
                            <!--$.each(res['list1'], function (index, d) {-->
                                <!--optionlist1 += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_2').html(optionlist1);-->

                            <!--$.each(res['list2'], function (index, d) {-->
                                <!--optionlist2 += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_3').html(optionlist2);-->
                        <!--}-->
                        <!--else if (index == '2'){-->
                            <!--var optionlist = "<option value=''>All</option>";-->
                            <!--$.each(res['list1'], function (index, d) {-->
                                <!--optionlist += "<option value='" + d.name + "'>" + d.name + "</option>";-->
                            <!--});-->
                            <!--$('#ddlSelect_3').html(optionlist);-->
                        <!--}-->
                        <!--else{-->
                            <!--$.each(res['list1'], function (index, d) {-->
                                <!--$('#ddlSelect_2 option[value="' + d.name + '"]').attr("selected", true);-->
                            <!--});-->
                        <!--}-->
                    <!--}-->
                <!--});-->
            <!--});-->
        <!--});-->
    <!--</script>-->
{% endblock %}